package com.bonus.canteen.core.notice.print.v2.po;


import com.bonus.canteen.core.device.manage.vo.DeviceInfoVO;

import java.time.LocalDateTime;
import java.util.Map;

public class OrderPrintDelayPO {
   private DeviceInfoVO deviceInfoVO;
   private Long busId;
   private String printType;
   private Long templateId;
   private Map<String, String> paramMap;
   private String callNum;
   private String redisKey;
   private Long printId;
   private Long tenantId;
   private Long deviceId;
   private LocalDateTime orderTime;

   public DeviceInfoVO getDeviceInfoVO() {
      return this.deviceInfoVO;
   }

   public Long getBusId() {
      return this.busId;
   }

   public String getPrintType() {
      return this.printType;
   }

   public Long getTemplateId() {
      return this.templateId;
   }

   public Map<String, String> getParamMap() {
      return this.paramMap;
   }

   public String getCallNum() {
      return this.callNum;
   }

   public String getRedisKey() {
      return this.redisKey;
   }

   public Long getPrintId() {
      return this.printId;
   }

   public Long getTenantId() {
      return this.tenantId;
   }

   public Long getDeviceId() {
      return this.deviceId;
   }

   public LocalDateTime getOrderTime() {
      return this.orderTime;
   }

   public OrderPrintDelayPO setDeviceInfoVO(final DeviceInfoVO deviceInfoVO) {
      this.deviceInfoVO = deviceInfoVO;
      return this;
   }

   public OrderPrintDelayPO setBusId(final Long busId) {
      this.busId = busId;
      return this;
   }

   public OrderPrintDelayPO setPrintType(final String printType) {
      this.printType = printType;
      return this;
   }

   public OrderPrintDelayPO setTemplateId(final Long templateId) {
      this.templateId = templateId;
      return this;
   }

   public OrderPrintDelayPO setParamMap(final Map<String, String> paramMap) {
      this.paramMap = paramMap;
      return this;
   }

   public OrderPrintDelayPO setCallNum(final String callNum) {
      this.callNum = callNum;
      return this;
   }

   public OrderPrintDelayPO setRedisKey(final String redisKey) {
      this.redisKey = redisKey;
      return this;
   }

   public OrderPrintDelayPO setPrintId(final Long printId) {
      this.printId = printId;
      return this;
   }

   public OrderPrintDelayPO setTenantId(final Long tenantId) {
      this.tenantId = tenantId;
      return this;
   }

   public OrderPrintDelayPO setDeviceId(final Long deviceId) {
      this.deviceId = deviceId;
      return this;
   }

   public OrderPrintDelayPO setOrderTime(final LocalDateTime orderTime) {
      this.orderTime = orderTime;
      return this;
   }

}
